macOS: simplify SDK handling, remove the upper limit of SDK

Desktop / LibreOffice - Christian Lohmaier [googlemail.com] - 21 November 2022 21:27 UTC

…both for building as well as for min-required version The newer versions of XCode/the corresponding SDK it comes with didn't cause any problems in the last years, and checking for a max-sdk version just causes more work when working on a newer system, either forcing to have multiple
versions of Xcode around and switching between those for no reason, or always patching configure to accept the currently used version when bisecting stuff.

Change-Id: I0dac9f90afe7d4490d44a1036fa8d358d29da57f Reviewed-on: https://gerrit.libreoffice.org/c/core/+/143035

97d6185ef18b macOS: simplify SDK handling, remove the upper limit of SDK
configure.ac | 127 ++++++++++++++++-------------------------------------------
1 file changed, 35 insertions(+), 92 deletions(-)

Upstream: cgit.freedesktop.org


  • Share